.text-link-color {
  color: $link-color;
}

.section-border-top {
  @include media-breakpoint-up(md) {
    border-top: 2px solid darken($link-color, 25%);
  }
}

.section-border-top-like-bottom {
  @include media-breakpoint-up(md) {
    border-top: 2px solid $gray-3;
  }
}

.section-border-bottom {
  @include media-breakpoint-up(md) {
    border-bottom: 2px solid $gray-3;
  }
}

.is_ie {
  .ie_hidden {
    display: none;
  }
}

.is_ie,
.is_edge {
  .bg-section-gradient {
    @extend .bg-linen;
    @extend .bg-gray-2;
  }
}

.not_ms {
  .bg-section-gradient {
    @include media-breakpoint-down(md) {
      background-image: url('https://ci.ryzom.com/assets/images/black-linen-2.png');
      background-color: $gray-2;
      background-blend-mode: hard-light;
    }

    @include media-breakpoint-up(md) {
      background-image: url('https://ci.ryzom.com/assets/images/black-linen-2.png'),
        linear-gradient(to right, #000000, $gray-4, #000000);
      background-color: transparent;
      background-blend-mode: hard-light;
    }
  }
}

.vertical-spaceout * {
  @extend .mt-2;
  @extend .mb-2;
}

.list-invisible ul {
  list-style: none !important;
  padding: 0 !important;
}

.tabs {
  .nav-link {
    text-transform: uppercase;
  }
  .nav-link.active {
    color: $body-color;
  }
}

@include media-breakpoint-up(xl) {
  .form-control {
    &.hide-placeholder-xl {
      &::-webkit-input-placeholder {
        /* WebKit browsers */
        color: transparent !important;
      }

      &:-moz-placeholder {
        /* Mozilla Firefox 4 to 18 */
        color: transparent !important;
      }

      &::-moz-placeholder {
        /* Mozilla Firefox 19+ */
        color: transparent !important;
      }

      &:-ms-input-placeholder {
        /* Internet Explorer 10+ */
        color: transparent !important;
      }

      &::placeholder {
        color: transparent !important;
      }
    }
  }
}
